<template>
  <div class="app-container">
    <div class="search_form">
      <div>
        <span class="search_title">姓名：</span>
        <el-input
            v-model="searchForm.customerName"
            style="width: 240px"
            placeholder="请输入名称搜索"
            @change="handleQuery"
            clearable
            :prefix-icon="Search"
        />
        <el-button type="primary" @click="handleQuery" style="margin-left: 10px"
        >搜索</el-button
        >
      </div>
      <div>
        <el-button type="primary" @click="openForm('add')">新增离职</el-button>
      </div>
    </div>
    <div class="table_list">
      <PIMTable
          rowKey="id"
          :column="tableColumn"
          :tableData="tableData"
          :page="page"
          :isSelection="true"
          @selection-change="handleSelectionChange"
          :tableLoading="tableLoading"
          @pagination="pagination"
          :total="total"
      ></PIMTable>
    </div>
    <form-dia ref="formDia"></form-dia>
  </div>
</template>

<script setup>
import { Search } from "@element-plus/icons-vue";
import { ref } from "vue";
import FormDia from "@/views/personnelManagement/onboarding/components/formDia.vue";

const data = reactive({
  searchForm: {
    customerName: "",
  },
  form: {
    salesLedgerId: "",
    customerName: "",
    salesman: "",
    projectName: "",
    productData: [],
  },
  rules: {
    salesLedgerId: [{ required: true, message: "请选择", trigger: "change" }],
  },
});
const { searchForm, form, rules } = toRefs(data);
const tableColumn = ref([
  {
    label: "状态",
    prop: "paymentDate",
    dataType: "tag",
    formatData: (params) => {
      if (params == 0) {
        return "在职";
      } else if (params == 1) {
        return "离职";
      } else {
        return null;
      }
    },
    formatType: (params) => {
      if (params == 0) {
        return "primary";
      } else if (params == 1) {
        return "danger";
      } else {
        return null;
      }
    },
  },
  {
    label: "员工编号",
    prop: "supplierName",
  },
  {
    label: "姓名",
    prop: "currentPaymentAmount",
  },
  {
    label: "性别",
    prop: "paymentMethod",
  },
  {
    label: "籍贯",
    prop: "registrant",
  },
  {
    label: "岗位",
    prop: "registrationtDate",
  },
  {
    label: "家庭住址",
    prop: "registrationtDate",
  },
  {
    label: "第一学历",
    prop: "registrationtDate",
  },
  {
    label: "专业",
    prop: "registrationtDate",
  },
  {
    label: "身份证号",
    prop: "registrationtDate",
  },
  {
    label: "年龄",
    prop: "registrationtDate",
  },
  {
    label: "联系电话",
    prop: "registrationtDate",
  },
  {
    label: "紧急联系人",
    prop: "registrationtDate",
  },
  {
    label: "联系电话",
    prop: "registrationtDate",
  },
  {
    label: "合同年限",
    prop: "registrationtDate",
  },
  {
    label: "合同开始日期",
    prop: "registrationtDate",
  },
  {
    label: "合同结束日期",
    prop: "registrationtDate",
  },
]);
const tableData = ref([]);
const selectedRows = ref([]);
const tableLoading = ref(false);
const page = reactive({
  current: 1,
  size: 100,
});
const total = ref(0);
const formDia = ref()
const { proxy } = getCurrentInstance()

// 查询列表
/** 搜索按钮操作 */
const handleQuery = () => {
  page.current = 1;
  getList();
};
const pagination = (obj) => {
  page.current = obj.page;
  page.size = obj.limit;
  getList();
};
const getList = () => {
  tableLoading.value = true;
  
};
// 表格选择数据
const handleSelectionChange = (selection) => {
  console.log("selection", selection);
  selectedRows.value = selection.filter(
      (item) => item.salesContractNo !== undefined
  );
};

// 打开弹框
const openForm = (type, row) => {
  nextTick(() => {
    formDia.value?.openDialog(type, row)
  })
};
</script>

<style scoped></style>
